Liblinphone: linphone::Ldap Class Reference

Liblinphone 5.3.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
linphone::Ldap Class Reference

Object that represents a Linphone Ldap. More...

`#include <ldap.hh>`

Inheritance diagram for linphone::Ldap:

## Public Types
enum class | DebugLevel { Off = 0 , Verbose = 1 }
| Enum Debug verbosity for OpenLdap. More...
enum class | AuthMethod { Anonymous = 0 , Simple = 1 }
| Enum describing how the authentification will be made. More...
enum class | CertVerificationMode { Default = -1 , Disabled = 0 , Enabled = 1 }
| Enum describing server certificates verification modes. More...
enum class | Check { Ok = 0 , ServerEmpty = 1 , ServerNotUrl = 2 , ServerNoScheme = 4 , ServerNotLdap = 8 , ServerLdaps = 16 , BaseObjectEmpty = 32 , MissingFields = 64 }
| Enum describing errors in LDAP parameters. More...

## Public Member Functions
LINPHONECXX_PUBLIC | Ldap (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneLdap * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Core > | getCore ()
| Get the Core object to which is associated the Ldap.
LINPHONECXX_PUBLIC int | getIndex () const
| Get the index of the Ldap.
LINPHONECXX_PUBLIC void | setIndex (int index)
| Set the index associated to the Ldap.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::LdapParams > | getParams ()
| Get the LdapParams as read-only object.
LINPHONECXX_PUBLIC void | setParams (const std::shared_ptr< linphone::LdapParams > &params)
| Set the LdapParams used by this Ldap.

## Static Public Member Functions
static LINPHONECXX_PUBLIC std::shared_ptr< linphone::Ldap > | newWithParams (const std::shared_ptr< linphone::Core > &lc, const std::shared_ptr< linphone::LdapParams > &params)
| Create a new Ldap, associate it with the LdapParams and store it into the configuration file.

## Detailed Description

Object that represents a Linphone Ldap.

Use a LdapParams object to configure it.

## Member Enumeration Documentation

## ◆ AuthMethod

enum class linphone::Ldap::AuthMethod
| strong

Enum describing how the authentification will be made.

Enumerator
Anonymous | Connection without passwords.
Simple | Connection with username/password.

## ◆ CertVerificationMode

enum class linphone::Ldap::CertVerificationMode
| strong

Enum describing server certificates verification modes.

Enumerator
Default | Use default value defined on core.
Disabled | Verification is disabled.
Enabled | Verification is enabled.

## ◆ Check

enum class linphone::Ldap::Check
| strong

Enum describing errors in LDAP parameters.

Enumerator
Ok | No error.
ServerEmpty | Server field is empty.
ServerNotUrl | The server is not an url.
ServerNoScheme | The server doesn't contain a scheme.
ServerNotLdap | The server is not a LDAP scheme.
ServerLdaps | LDAP over SSL is non-standardized and deprecated: ldaps has been specified.
BaseObjectEmpty | Base Object has been specified.
MissingFields | Some required fields are missing.

## ◆ DebugLevel

enum class linphone::Ldap::DebugLevel
| strong

Enum Debug verbosity for OpenLdap.

Enumerator
Off | Set OpenLdap verbosity to none.
Verbose | Set OpenLdap verbosity to debug level.

## Member Function Documentation

## ◆ getCore()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Core > linphone::Ldap::getCore | ( |  | ) |

Get the Core object to which is associated the Ldap.

Returns
  The Core object to which is associated the Ldap.

## ◆ getIndex()

LINPHONECXX_PUBLIC int linphone::Ldap::getIndex | ( |  | ) | const

Get the index of the Ldap.

Returns
  The index of the Ldap

## ◆ getParams()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::LdapParams > linphone::Ldap::getParams | ( |  | ) |

Get the LdapParams as read-only object.

To make changes, clone the returned object using LdapParams::clone() method, make your changes on it and apply them using with setParams().

Returns
  The LdapParams attached to this ldap.

## ◆ newWithParams()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Ldap > linphone::Ldap::newWithParams | ( | const std::shared_ptr< linphone::Core > & | lc,
|  | const std::shared_ptr< linphone::LdapParams > & | params )
| static

Create a new Ldap, associate it with the LdapParams and store it into the configuration file.

Parameters

  lc | The Core object.
  params | The LdapParams object.

Returns
  The newly created Ldap object.

## ◆ setIndex()

LINPHONECXX_PUBLIC void linphone::Ldap::setIndex | ( | int | index | ) |

Set the index associated to the Ldap.

Parameters

  index | The index of the Ldap. Can be -1 : it will be determined on save.

## ◆ setParams()

LINPHONECXX_PUBLIC void linphone::Ldap::setParams | ( | const std::shared_ptr< linphone::LdapParams > & | params | ) |

Set the LdapParams used by this Ldap.

The parameters will be saved in the configuration file.

Parameters

  params | The LdapParams object.

The documentation for this class was generated from the following file:

- ldap.hh